DROP VIEW SOA_ADDR_MATCHED_DURING_ER;

CREATE VIEW SOA_ADDR_MATCHED_DURING_ER  (er_id, to_entity_id, from_entity_id, score, match_type, inbound_addr_id, existing_addr_id)
  as
    SELECT 
	    ees.er_id,	
	    ees.matched_entity_id as to_entity_id, 
      eh.assigned_entity_id as from_entity_id,
	    addr_cnt as score,
	    'FULL_ADDRESS' as match_type, 
	    inbound_key_id as inbound_addr_id,
	    matched_key_id as existing_addr_id
    FROM 
	    er_entity_score ees,  
	    er_detail srd,
      er_history eh
    WHERE
      eh.er_id = ees.er_id	
	    AND ees.matched_entity_id = srd.matched_entity_id
	    AND srd.matched_type='ADDRESS' 
	    AND srd.er_id = ees.er_id 
      AND srd.score_adjustment >= 0
	    AND addr_cnt > 0
	    AND (precision_desc like 'STREET ADDRESS%' or precision_desc = 'EXACT ADDRESS MATCH')
  UNION
    SELECT 
	    ees.er_id,
	    ees.matched_entity_id as to_entity_id, 
      eh.assigned_entity_id as from_entity_id,
	     0 as score,
	    'SAME_STREET' as match_type, 
	    inbound_key_id as inbound_addr_id,
	    matched_key_id as existing_addr_id
    FROM 
	    er_entity_score ees,  
	    er_detail srd,
      er_history eh
    WHERE 
      eh.er_id = ees.er_id	
	    AND ees.matched_entity_id = srd.matched_entity_id
	    AND srd.matched_type='ADDRESS' 
	    AND srd.er_id = ees.er_id 
      AND srd.score_adjustment >= 0
	    AND approx_cnt > 0
	    AND (precision_desc like 'STREET ADDRESS%' or precision_desc = 'EXACT ADDRESS MATCH')
  UNION
    SELECT 
	    ees.er_id,
	    ees.matched_entity_id as to_entity_id, 
      eh.assigned_entity_id as from_entity_id,
      0 as score,
	    'SAME_STREET' as match_type, 
	    inbound_key_id as inbound_addr_id,
	    matched_key_id as existing_addr_id
    FROM 
	    er_entity_score ees,  
	    er_detail srd,
      er_history eh
    WHERE 
      eh.er_id = ees.er_id
	    AND ees.matched_entity_id = srd.matched_entity_id
	    AND srd.matched_type = 'ADDRESS' 
	    AND srd.er_id = ees.er_id 
      and srd.score_adjustment >= 0
	    AND approx_cnt > 0
	    AND precision_desc like 'APPROX%'
  UNION
    SELECT 
	    ees.er_id,
	    ees.matched_entity_id as to_entity_id, 
      eh.assigned_entity_id as from_entity_id,
      0 as score,
	    'PROXIMITY' as match_type, 
	    inbound_key_id as inbound_addr_id,
	    matched_key_id as existing_addr_id
    FROM 
	    er_entity_score ees,  
	    er_detail srd,
      er_history eh
    WHERE 
      eh.er_id = ees.er_id
      AND ees.matched_entity_id = srd.matched_entity_id
	    AND srd.matched_type='ADDRESS' 
	    AND srd.er_id = ees.er_id 
      AND srd.score_adjustment >= 0
	    AND proximity_cnt > 0
	    AND precision_desc like 'PROXIM%'  ;